Bug 57497 - Using decompression with X/Y-modem has problems
Summary: Using decompression with X/Y-modem has problems
Status: CLOSED CURRENTRELEASE
Alias: None
Product: eCos
Classification: Retired
Component: RedBoot   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: George Thomas
QA Contact: George Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-14 10:33 UTC by Jesper Skov
Modified: 2007-04-18 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-03 21:20:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to strip extra ^Z characters at end of buffer (4.43 KB, patch)
2002-01-03 21:19 UTC, George Thomas
no flags Details | Diff

Description Jesper Skov 2001-12-14 10:33:24 UTC
For some reason, the X/Y-modem protocol handling is messed up on the last
packet when using the decompression feature (-d), and minicom will hang
instead of closing the upload window.

Pressing ESC will get back the RedBoot prompt (possibly with a RedBoot
error/warning), but the data appears to have decompressed fine. This can be
verified using the 'cksum' command if critical.

Comment 1 George Thomas 2002-01-03 21:19:58 UTC
Created attachment 41712 [details]
patch to strip extra ^Z characters at end of buffer

Comment 2 George Thomas 2002-01-03 21:21:13 UTC
X-modem pads the final data record with ^Z characters.  The attached
patch strips them (if it finds at least 3 consecutive ones at the end).


Note You need to log in before you can comment on or make changes to this bug.